Package com.enonic.xp.portal.url

## Class ProcessHtmlParams

- java.lang.Object
- - com.enonic.xp.portal.url.AbstractUrlParams<ProcessHtmlParams>
  - - com.enonic.xp.portal.url.ProcessHtmlParams

-     @PublicApi
      public final class ProcessHtmlParams
      extends AbstractUrlParams<ProcessHtmlParams>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessHtmlParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `buildToString​(MoreObjects.ToStringHelper helper)` |
    `ProcessHtmlParams` | `customHtmlProcessor​(Function<HtmlProcessorParams,​String> customHtmlProcessor)` |
    `ProcessHtmlParams` | `customStyleDescriptorsCallback​(Supplier<StyleDescriptors> customStyleDescriptorsCallback)` |
    `Function<HtmlProcessorParams,​String>` | `getCustomHtmlProcessor()` |
    `Supplier<StyleDescriptors>` | `getCustomStyleDescriptorsCallback()` |
    `String` | `getImageSizes()` |
    `List<Integer>` | `getImageWidths()` |
    `String` | `getValue()` |
    `ProcessHtmlParams` | `imageSizes​(String imageSizes)` |
    `ProcessHtmlParams` | `imageWidths​(List<Integer> imageWidths)` |
    `boolean` | `isProcessMacros()` |
    `ProcessHtmlParams` | `processMacros​(boolean processMacros)` |
    `ProcessHtmlParams` | `setAsMap​(Multimap<String,​String> map)` |
    `ProcessHtmlParams` | `value​(String value)` |

    - ### Methods inherited from class com.enonic.xp.portal.url.AbstractUrlParams

      `contextPathType, getContextPathType, getDefaultContextPath, getParams, getPortalRequest, getType, param, portalRequest, singleValue, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessHtmlParams

          public ProcessHtmlParams()

  - ### Method Detail

    - #### getValue

          public String getValue()

    - #### value

          public ProcessHtmlParams value​(String value)

    - #### getImageWidths

          public List<Integer> getImageWidths()

    - #### getCustomStyleDescriptorsCallback

          public Supplier<StyleDescriptors> getCustomStyleDescriptorsCallback()

    - #### imageWidths

          public ProcessHtmlParams imageWidths​(List<Integer> imageWidths)

    - #### customStyleDescriptorsCallback

          public ProcessHtmlParams customStyleDescriptorsCallback​(Supplier<StyleDescriptors> customStyleDescriptorsCallback)

    - #### getImageSizes

          public String getImageSizes()

    - #### imageSizes

          public ProcessHtmlParams imageSizes​(String imageSizes)

    - #### getCustomHtmlProcessor

          public Function<HtmlProcessorParams,​String> getCustomHtmlProcessor()

    - #### customHtmlProcessor

          public ProcessHtmlParams customHtmlProcessor​(Function<HtmlProcessorParams,​String> customHtmlProcessor)

    - #### isProcessMacros

          public boolean isProcessMacros()

    - #### processMacros

          public ProcessHtmlParams processMacros​(boolean processMacros)

    - #### setAsMap

          public ProcessHtmlParams setAsMap​(Multimap<String,​String> map)

      Overrides:
        `setAsMap` in class `AbstractUrlParams<ProcessHtmlParams>`

    - #### buildToString

          protected void buildToString​(MoreObjects.ToStringHelper helper)

      Overrides:
        `buildToString` in class `AbstractUrlParams<ProcessHtmlParams>`